Subject: Re: bug#55443: emacs-28.1: tramp sudo broken

From: Josselin Poiret <[email-masked]>
Date: Thu, 19 May 2022 15:57:46 +0200

Hello,

Remco van 't Veer <[email-masked]> writes:

> After upgrading from emacs-27.2 to emacs-28.1 on a Guix system, opening
> files/directories via sudo using tramp no longer works.
>
> Here's what's in the *Messages* buffer:
>
>> Tramp: Opening connection nil for root@remq240 using sudo...done
>> File error: Couldn't find a proper `ls' command [6 times]
>> tramp-error: Couldn't find a proper `ls' command

What I personally use is described at [1], and fixed this issue I had
when I switched to emacs-next.

[1] https://yhetil.org/guix/[email-masked]/
-- 
Josselin Poiret